/* This command file will take the PMWP.MAP file and    */
/* strip out all of the class data information and then */
/* generate a symbol file.                              */
'erase pmwpnew.map'

do until (pos("Publics by Value",record) <> 0)
   record = linein('pmwp.map')
   call lineout 'PMWPNEW.MAP' , record
end

do while (lines('pmwp.map') > 0)
   record = linein('pmwp.map')
   /* Yank out classdata information */
   if ((pos("ClassData",record)+pos("NewClass",record)+pos("_Tsk",record)+pos("_task",record)+pos("_rqpr",record)+pos("_tkcl",record)+pos("_thrd",record)) = 0) then
      call lineout 'PMWPNEW.MAP' , record
end

'mapsym pmwpnew.map'
'erase pmwp.sym'
'rename pmwpnew.sym pmwp.sym'
